From 2567a6518435720c539c09d26fa5413f34ca99af Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sun, 26 Nov 2023 21:32:23 +0100
Subject: [PATCH 22/54] feat: card style for power usage limit section

---
 lact-gui/ui/oc_page/power_cap_section.blp | 44 ++++++++++++++---------
 1 file changed, 27 insertions(+), 17 deletions(-)

diff --git a/lact-gui/ui/oc_page/power_cap_section.blp b/lact-gui/ui/oc_page/power_cap_section.blp
index 942ec8fc..56aff82b 100644
--- a/lact-gui/ui/oc_page/power_cap_section.blp
+++ b/lact-gui/ui/oc_page/power_cap_section.blp
@@ -1,27 +1,37 @@
 using Gtk 4.0;
+using Adw 1;
 
 template $PowerCapSection: $PageSection {
     name: "Power usage limit";
     
-    Box {
-        orientation: horizontal;
-        
-        Label value_label {
-            label: bind template.value-text;
-        }
+    Adw.Bin {
+        styles ["card"]
 
-        Scale {
+        Box {
             orientation: horizontal;
-            hexpand: true;
-            round-digits: 0;
-            margin-start: 5;
-            margin-end: 5;
-            draw-value: false;
-            adjustment: adjustment;
-        }
-        
-        Button reset_button {
-            label: "Default";
+            margin-top: 12;
+            margin-bottom: 12;
+            margin-start: 12;
+            margin-end: 12;
+            spacing: 6;
+            
+            Label value_label {
+                label: bind template.value-text;
+            }
+
+            Scale {
+                orientation: horizontal;
+                hexpand: true;
+                round-digits: 0;
+                draw-value: false;
+                adjustment: adjustment;
+            }
+            
+            Button reset_button {
+                styles ["circular", "flat"]
+                icon-name: "view-refresh-symbolic";
+                tooltip-text: "Reset to default";
+            }
         }
     }
 }

